<?PHP
$tipo_local = 1;
include("../../secure/secure.php");
include ('../../conf/configuracao.php');

if ( $cadastra_resp == "cadastra_resposta") {

  mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
  mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
  
  $sql = "Insert Into respostas_perguntas(texto,codigo_pergunta,codigo_resposta) values('$resposta',$cod_perg,$codigo_resposta)";
  
	$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 17' );

echo "
<!DOCTYPE HTML PUBLIC '-//W3C//DTD HTML 4.0 Transitional//EN'>
<html>
<meta http-equiv=\"Refresh\" content=\"2; url=add_resp.php?cod_perg=$cod_perg\">
<head>
	<title>Cadastra - Resposta Perguntas Pesquisas</title>
</head>

<body bgcolor='#FFFFFF' text='#000000' link='#0000FF' vlink='#0000FF' alink='#FF0000'>
<br>
<br><br>
<center><strong><font face='Verdana' size='2' color='#800000'>Resposta cadastrada com sucesso</font></strong></center>
</body>
</html>";

}

else {

  mysql_connect( $bd_host, $bd_user, $bd_senha )
			or die ( 'Não foi possível conectar ao Servidor.' );
  mysql_select_db( $bd_database )
			or die ( 'Não foi possível conectar a Base de Dados.' );
  
  $sql = "select pergunta from perguntas_pesquisa WHERE codigo=$cod_perg";
  
	$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 14' );
  
    $temp = mysql_fetch_array($result);
  $pergunta = $temp[0];
  
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>Adicionar - Resposta Pergunta Pesquisa</title>
<script>
function verifica_form() {
   if (form1.resposta.value == "") {
     alert('Por favor, informe a resposta a ser cadastrada!');
	 form1.resposta.focus();
	 return false;
   }
   if (form1.codigo_resposta.value == "") {
     alert('Por favor, informe o código da resposta a ser cadastrada!');
	 form1.codigo_resposta.focus();
	 return false;
   }
}
</script>
</head>

<body bgcolor='#FFFFFF' text='#000000' link='#0000FF' vlink='#0000FF' alink='#FF0000'>
<form action="add_resp.php" method="post" name="form1">
<input type="hidden" name="cadastra_resp" value="cadastra_resposta">
<input type="hidden" name="cod_perg" value="<?echo $cod_perg;?>">

<table width='96%' border='0' cellspacing='0' cellpadding='0' align='center'>
<tr>
    <td>
	<br>
<br><br>
<strong><font face='Verdana' size='2' color='#800000'>Pergunta cadastrada é:</font></strong><br>
<? echo "$pergunta<p>";?>
	</td>	
</tr>
<tr>
	<td>
      <strong><font face='Verdana' size='2' color='#800000'>Nova resposta:</font></strong>
     <br>
	</td>
</tr>
<tr>
    <td>
		  <textarea cols="55%" rows="4%" name="resposta"></textarea><p>
		  <font face='Verdana' size='2' color='#800000'>Código Resposta</font> <input type='text' name='codigo_resposta' size='5' maxlength='5'><p>
	</td>
</tr>
<tr> 
    <td>
		<input type="submit" value="Cadastrar Resposta" onclick="return verifica_form();">
      </form>
	  <br>
	          
	</td>
</tr>
</table>
<?
  $sql = "select * from respostas_perguntas WHERE codigo_pergunta=$cod_perg order by codigo_resposta ASC";
  
	$result = mysql_query($sql)
			or die ( 'Não foi possível executar a query 14' );
  
     $num_resps = mysql_num_rows($result);
	 
	 if ($num_resps != 0) {
	    echo "<font face='Verdana' size='2' color='#000000'>&nbsp&nbsp Respostas Cadastradas para a pergunta:</font><p>";

      echo "<table width='96%' border='1' cellspacing='0' cellpadding='0' align='center'>";
 
 echo "<tr>
     <td width='10%' align='center'><font face='Verdana' size='2' color='#000000'>Codigo</font></td>
	 <td width='30%' align='center'><font face='Verdana' size='2' color='#000000'>Resposta</font></td>
	 <td width='30%' align='center'><font face='Verdana' size='2' color='#000000'>Alterar</font></td>
	 <td width='30%' align='center'><font face='Verdana' size='2' color='#000000'>Excluir</font></td>
	 </tr>";

  while ($result_1 = mysql_fetch_array($result) ) {    
    $resp_1 = $result_1["texto"];
	$cod_resp_1 = $result_1["codigo_resposta"];
	$cod_identifica = $result_1["codigo"];
	
	echo "<tr> 
    		<td width='10%' align='center'><b>$cod_resp_1</b></td>
			<td width='30%'>$resp_1</td>
			<td width='30%' align='center'><a href='altera_resps.php?cod_identifica=$cod_identifica&cod_perg=$cod_perg'>X</a></td>
			<td width='30%' align='center'><a href='del_resps.php?cod_identifica=$cod_identifica&cod_perg=$cod_perg'>X</a></td>
     	  </tr>";	 
  }
echo "</table>";

     }
	 else {
	    echo "<font face='Verdana' size='2' color='#000000'>&nbsp&nbsp Não existem respostas cadastradas para a pergunta</font><p>";
     }
echo "</body></html>";

} // Fim do else relativo ao if ( $cadastra_resp == "cadastra_resposta") {
?>



